osl::rating::CountOpen Struct Reference

`#include <feature.h>`

## Static Public Member Functions

static int | index (const NumEffectState &state, Player player, Square from)

## Detailed Description

Definition at line 106 of file rating/feature.h.

## Member Function Documentation

## index()

int osl::rating::CountOpen::index | ( | const NumEffectState & | state,
|  | Player | player,
|  | Square | from )

inline static

Definition at line 108 of file rating/feature.h.

References osl::BISHOP, osl::NumEffectState::hasEffectByPtype(), osl::Square::isPieceStand(), osl::LANCE, and osl::ROOK.

Referenced by osl::rating::Open::index().

The documentation for this struct was generated from the following file:

- rating/feature.h